Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractDocument.XPathExpr.NSPrefixResolver

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.XPathExpr.NSPrefixResolver

All Implemented Interfaces:
  org.apache.xml.utils.PrefixResolver

Enclosing class:
  AbstractDocument.XPathExpr

    protected class AbstractDocument.XPathExpr.NSPrefixResolver

extends Object
implements org.apache.xml.utils.PrefixResolver

Xalan prefix resolver.

Constructor Summary
`protected` | `AbstractDocument.XPathExpr.NSPrefixResolver()`

Method Summary
`String` | `getBaseIdentifier()` Get the base URI for this resolver.
`String` | `getNamespaceForPrefix(String prefix)` Resolves the given namespace prefix.
`String` | `getNamespaceForPrefix(String prefix, Node context)` Resolves the given namespace prefix.
`boolean` | `handlesNullPrefixes()` Returns whether this PrefixResolver handles a null prefix.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDocument.XPathExpr.NSPrefixResolver

    protected AbstractDocument.XPathExpr.NSPrefixResolver()

Method Detail

### getBaseIdentifier

    public String getBaseIdentifier()

  Get the base URI for this resolver. Since this resolver isn't associated with a particular node, returns null.

  Specified by:
    `getBaseIdentifier` in interface `org.apache.xml.utils.PrefixResolver`

### getNamespaceForPrefix

    public String getNamespaceForPrefix(String prefix)

  Resolves the given namespace prefix.

  Specified by:
    `getNamespaceForPrefix` in interface `org.apache.xml.utils.PrefixResolver`

### getNamespaceForPrefix

    public String getNamespaceForPrefix(String prefix,
                                        Node context)

  Resolves the given namespace prefix.

  Specified by:
    `getNamespaceForPrefix` in interface `org.apache.xml.utils.PrefixResolver`

### handlesNullPrefixes

    public boolean handlesNullPrefixes()

  Returns whether this PrefixResolver handles a null prefix.

  Specified by:
    `handlesNullPrefixes` in interface `org.apache.xml.utils.PrefixResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.